Page MenuHomePhabricator

MediaWiki volunteers for OTRS
Closed, DeclinedPublic

Description

Gregory Varnum writes:

I've been chatting with Krenair and RD in IRC about MediaWiki related OTRS tickets. Two thoughts that I was wondering if you'd be around on IRC sometime to perhaps chat a bit about:

  1. Would it be possible for your team to help with identifying possible OTRS volunteers from the developer community? There's a noticeable absence of devo-capable volunteers on many of the OTRS queues.
  1. With things like VE now in full swing - would it be beneficial to finally setup a MW specific queue?

See also https://meta.wikimedia.org/wiki/OTRS

Event Timeline

Qgil created this task.Feb 3 2015, 7:34 AM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added projects: OTRS, Developer-Advocacy.
Qgil added subscribers: Qgil, Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 7:34 AM
Qgil added a comment.Feb 3 2015, 7:42 AM

I don't know how OTRS queues work, and I don't know which types of requests you are receiving, but these are the first thoughts that come to mind:

  • If there are frequently asked questions, there is a chance that we have answers documented somewhere. I guess OTRS uses FAQs for other topics, so maybe a tech FAQ would be useful?
  • The volunteers at https://www.mediawiki.org/wiki/Project:Support_desk are probably quite busy already, and I'm not sure how good would be the idea of asking tem to volunteer in OTRS as well. However, maybe both spaces could be better synced, and we could organize a call for volunteers for both spaces?
  • As a WMF employee, I have read many times how useful it is (in other organizations) to send both new and old employees to volunteer some days in a support desk. Maybe we could organize the recruitment of WMF employees for a period of one week, or something similar? If every WMF Engineering/Product employee would volunteer one week every year, there would be 1-2 employees volunteering at any time.

Is there a clear scope definition of OTRS when it comes to covering Wikimedia vs Wikipedia vs MediaWiki, and how would I find out as an average user?
I'm reluctant to "recommend" yet another place (and software user interface to learn) as a feedback channel.

Varnent added a subscriber: Varnent.Feb 4 2015, 5:20 AM

I love the idea of having staff cycle through OTRS to see what comes in and learn more about the system. Perhaps this is a solution to a problem that doesn't exist - but MW is essentially the only project left without a OTRS queue of some sort. It also seems like the ability to develop and reuse templates, track analytics, and better track tickets could have some appeal. Just a thought. Either way - it would be great to figure out a way to increase developer volunteerism within OTRS as there are already some technical tickets that already come in - and queues like the mobile one are heavily backlogged.

Maybe the Developer-Advocacy staff could start volunteering that week, so we would get a first hand impression of what is this problem. Team mates, what do you think?

@Varnent, is there a precedent for this idea of short-term volunteers in OTRS? I don't want us to give the wrong impression to the current OTRS volunteers, when we join and then we leave about a week later.

Not to my knowledge - however - I am not an OTRS historian by any means. :)

That said, I do know there has been talk about offering trainings for staff, and there seems to be a desire to help the staff learn more about the ways of OTRS - I suspect folks would be open to this idea.

Qgil added a comment.Feb 4 2015, 10:40 AM

@Varnent, I see that this is not the first time you have this idea about MediaWiki and OTRS: https://meta.wikimedia.org/wiki/Talk:OTRS#MediaWiki_OTRS (January 2013) :)

@Varnent, I see that this is not the first time you have this idea about MediaWiki and OTRS: https://meta.wikimedia.org/wiki/Talk:OTRS#MediaWiki_OTRS (January 2013) :)

Other than that public discussion I can attest that it has actually been brought up on multiple occasions (mostly internal) since I've been around OTRS (approximately 7 years). MediaWiki is currently the only Wikimedia project without its own sister project (or other) queue. Of course not every Wikimedia project needs OTRS representation, and in fact we would only endorse it if certain conditions were defined (specific scope per queue, staffing, issues raised by others above, etc.)

If the team is created their accounts could fall into at least 1-2 categories required per the https://meta.wikimedia.org/wiki/OTRS/Access_policy so it's pretty much up to the MediaWiki community.

We'd (the OTRS admins) be happy to talk about opening a new queue for any group that believes it may help their project. Happy to answer any other discussions or move this to a discussion elsewhere (MW.o) if appropriate until something is decided?

What would MediaWiki actually gain from creating a queue in OTRS?

What would MediaWiki actually gain from creating a queue in OTRS?

Nothing. What did Wikipedia gain from a queue? (Also nothing.)

The purpose would be to serve the users of MediaWiki - perhaps a (centralized) location (though there are already several others - but do they work) to discuss issues/questions/etc.

Just my take on it based on discussions with Qgil and others on the past. This is not the first time this has come up. (It is pretty much the only project with no general information contact address.)

Do I personally see how it could be useful? Absolutely, from an OTRS admin point of view - alternative ways for users to contact us with questions/issues is important. Do I think it is necessary? I am not involved within the MediaWiki community enough to know whether or not a new method of communication is needed or would improve any processes that currently exist.

I personally have to stake in the issue - but am happy to assist in any case. Perhaps open a discussion on mediawiki.org?

mediawiki.org and mediawiki-l@lists.wikimedia.org are centralised places to discuss MediaWiki where users can already go to get help and discuss issues. I don't see what either developers or users would gain by opening up another system for it.

(It is pretty much the only project with no general information contact address.)

What if mediawiki.og would offer an email address that would create Phabricator tasks instead of OTRS tickets? In principle, T52: Phabricator should let you interact with external (non-Phabricator) users via email, but I haven't seen this feature in action. @chasemp knows better.

@Qgil, that's probably a good idea but orthogonal to this proposal.

I don't think an OTRS queue is needed at all for MwdiaWiki. Much better to keep the discussions public in mediawiki-l.

My understanding of the scale and scope of OTRS usage is that it wouldn't be prudent to put that content here. Also, Phab really at this point doesn't at all have anonymous users in its DNA. There are a few edge cases we handle locally, and upstream has given it a bit of thought, but the overall experience is very poor. There is a plan to develop an OTRS type thing for their own Phacility support called Nuance upstream that (as far as I understand it) would be a possible, down the road. OTRS alternative. For now I wouldn't say it's viable.

Qgil added a comment.Feb 25 2015, 10:57 PM

I don't think an OTRS queue is needed at all for MwdiaWiki.

I don't have a strong opinion about this part.

Much better to keep the discussions public in mediawiki-l.

I do have a slightly strong opinion about this, though. In OTRS or Phabricator tickets it is possible to check the status of a task, whether it has been resolved or not. In a mailing list anything not replied within a week is likely to be forgotten. In Phabricator we would have a better sense of systematic duplicates, we could associate tasks to projects to reach to the right audiences, and we would have a web friendly (and even mobile friendly) UI. The tickets could be private by default just in case, and be made public if they don't contain any sensitive information...

I think the realistic option are to leave things are they or to consider the Phabricator bridge. Creating a mediawiki.org OTRS queue in 2015 feels odd. A mailing list with +1000 users registered is not an alternative imho.

Steinsplitter moved this task from Incoming to Backlog on the OTRS board.Mar 12 2015, 12:38 PM

So - the general feeling I'm getting from the above is that at the moment, most would like to continue using the existing methods of communication for correspondence of any sort regarding the MediaWiki software.

OTRS will continue to point the users who email us to the best available venue - whether it be here on phab or to email the MW mailing list.

Sound about good? Seems this task can be closed?

Steinsplitter closed this task as Declined.Apr 6 2015, 6:20 AM
Steinsplitter claimed this task.
Steinsplitter added a subscriber: Steinsplitter.

OTRS will continue to point the users who email us to the best available venue - whether it be here on phab or to email the MW mailing list.

Sound about good? Seems this task can be closed?

Keeping status quo seems reasonable. I think so :-)

Steinsplitter moved this task from Backlog to Resolved on the OTRS board.Apr 6 2015, 6:21 AM
Qgil added a comment.Apr 6 2015, 5:29 PM

Yes, agreed. Thank you for resolving.